/* Custom styles to complement Bootstrap */
html {
    scroll-behavior: smooth;
}

body {
    font-family: Roboto, 'Times New Roman', serif;
    line-height: 1.6;
    color: #333;
    background-color: #ffffff;
    max-width: 1000px;
    margin: 0 auto;
}

a {
    text-decoration: none;
    color: rgb(79 128 199);
}

h1,
h2,
h3,
h4,
h5 {
    font-weight: 300;
}

#projects .badge {
    border: 1px solid black;
    color: black;
}

#projects .projects-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    /* adjust spacing as needed */
    width: 100%;
}

@media (max-width: 900px) {
    #projects .projects-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    #projects .projects-list {
        grid-template-columns: 1fr;
    }
}

#projects .projects-list .card {
    display: inline-block;
    width: 100%;
    margin: 0;
    margin-bottom: 1rem;
    box-sizing: border-box;
}

#projects .card-date {
    font-size: 0.8rem;
}

/* Bootstrap Extensions */

@media (min-width: 768px) {
    .w-md-100 {
        width: 100% !important;
    }

    .w-md-80 {
        width: 80% !important;
    }
}